> ## Documentation Index
> Fetch the complete documentation index at: https://redo-44af351d-docs-returns-email-query-param.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Process Return

> **BETA**: This endpoint is in beta and subject to change.

Trigger processing of a return with specified products.




## OpenAPI

````yaml /api-schema/openapi.yaml post /returns/{returnId}/process
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /returns/{returnId}/process:
    summary: Process return
    description: Process return.
    parameters:
      - $ref: '#/components/parameters/return-id.param'
    post:
      tags:
        - Returns
      summary: Process Return
      description: |
        **BETA**: This endpoint is in beta and subject to change.

        Trigger processing of a return with specified products.
      operationId: Return process
      requestBody:
        content:
          application/json:
            schema:
              properties:
                customerNotes:
                  description: >-
                    Notes to send to customer. These can be rejection notes or
                    processing notes.
                  type: string
                products:
                  description: Array of products to process or reject
                  items:
                    properties:
                      _id:
                        description: Product ID found on the return
                        example: 64e4d5e837572a4813b73e41
                        type: string
                      processInput:
                        description: >-
                          Processing details. You may only have one of reject or
                          processInput.
                        nullable: true
                        properties:
                          newMerchantAdjustment:
                            description: >-
                              Adjustment amount. This will be the amount that is
                              credited to the customer, overriding the original
                              product value.
                            nullable: true
                            type: number
                          restock:
                            description: Whether to restock the item
                            type: boolean
                        type: object
                      reject:
                        default: false
                        description: >-
                          Reject this product. You may only have one of reject
                          or processInput.
                        type: boolean
                    required:
                      - _id
                    type: object
                  type: array
              required:
                - products
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Status message
                    examples:
                      - Processing triggered successfully
                      - >-
                        Successfully prepared some products to be processed,
                        once all products are ready, processing will be
                        triggered
                    type: string
                type: object
          description: Processing request completed
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Bad request (e.g., missing products array)
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Error
      security:
        - Bearer: []
components:
  parameters:
    return-id.param:
      description: Return ID
      in: path
      name: returnId
      required: true
      schema:
        example: 64e4d5e837572a4813b73e40
        type: string
  schemas:
    error.schema:
      description: >-
        Problem details. See [RFC 7807 Section
        3](https://datatracker.ietf.org/doc/html/rfc7807#section-3).
      properties:
        detail:
          description: Human-readable description of the problem.
          title: Detail
          type: string
        instance:
          description: A URI reference that identifies this problem.
          format: uri-reference
          type: string
        title:
          description: Human-readable summary of the problem type.
          title: Title
          type: string
        type:
          default: about:blank
          description: A URI reference that identifies the problem type.
          format: uri-reference
          type: string
      title: Problem details
      type: object
  securitySchemes:
    Bearer:
      scheme: bearer
      type: http

````